@SET mypath=%~dp0
@SET PAM_HOME=%mypath:~0,-5%

@set JAVA_HOME=%PAM_HOME%\jre
@set DB_HOME=%PAM_HOME%\db
@set CATALINA_HOME=%PAM_HOME%\web
@set CATALINA_BASE=%CATALINA_HOME%
@set DERBY_OPTS=-Dderby.system.home="%DB_HOME%"
@set JAVA_OPTS=%DERBY_OPTS% -Dlog4j.configuration=file:///%CATALINA_BASE%\conf\log4j.pam.properties -Dcom.sun.jndi.ldap.object.disableEndpointIdentification=true
@set NSEXEC=%PAM_HOME%\bin\nssm

@set CATALINA_CMD="%JAVA_HOME%\bin\java.exe" %JAVA_OPTS% "-Djdk.tls.ephemeralDHKeySize=2048" -Djava.util.logging.config.file="%CATALINA_HOME%\conf\logging.properties" -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager -classpath "%CATALINA_HOME%\bin\bootstrap.jar;%CATALINA_HOME%\bin\tomcat-juli.jar" -Dcatalina.base="%CATALINA_HOME%" -Dcatalina.home="%CATALINA_HOME%" -Djava.io.tmpdir="%CATALINA_HOME%\temp" org.apache.catalina.startup.Bootstrap start

@set SERVICE_NAME=PamManagement
@set SERVICE_DESCRIPTION=PAM Management Service
@set SERVICE_CMD=%CATALINA_CMD%

@IF "%~1"=="" GOTO START
@IF "%~1"=="start" GOTO START
@IF "%~1"=="stop" GOTO STOP
@IF "%~1"=="install" GOTO INSTALL
@IF "%~1"=="uninstall" GOTO REMOVE
@IF "%~1"=="remove" GOTO REMOVE
@IF "%~1"=="run" GOTO RUN
@IF "%~1"=="simulate" GOTO SIMULATE

@echo Unrecognized command %1
@GOTO END

:SIMULATE
@echo %SERVICE_CMD%
@GOTO END

:RUN
@%SERVICE_CMD%
@GOTO END

:INSTALL
@echo Installing...
@%NSEXEC% install %SERVICE_NAME% %SERVICE_CMD%
@%NSEXEC% set %SERVICE_NAME% Description "%SERVICE_DESCRIPTION%"
@%NSEXEC% set %SERVICE_NAME% AppNoConsole 1
@%NSEXEC% set %SERVICE_NAME% DependOnService PamDirectory
@rem %NSEXEC% start %SERVICE_NAME%

@GOTO END

:REMOVE
@echo Removing...
@%NSEXEC% remove %SERVICE_NAME% confirm
@GOTO END

:START
@echo Starting...
@%NSEXEC% start %SERVICE_NAME%
@GOTO END

:STOP
@echo Stopping...
@%NSEXEC% stop %SERVICE_NAME%
@GOTO END

:END
@echo ok
